package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 文档协作对象 doc_actor
 *
 * @author wukai
 * @date 2023-09-18
 */
@ApiModel(value = "DocActor", description = "文档协作")
public class DocActor extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 文件ID
     */
    @ApiModelProperty("文件ID")
    @TableId
    private Long docId;

    /**
     * 是否归档;Y.完成 N.未完成
     */
    @ApiModelProperty("是否归档;Y.完成 N.未完成")
    @Excel(name = "是否归档;Y.完成 N.未完成")
    private String isFiled;

    /**
     * 归档时间
     */
    @ApiModelProperty("归档时间")
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    @Excel(name = "归档时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date filedTime;

    public void setDocId(Long docId) {
        this.docId = docId;
    }

    public Long getDocId() {
        return docId;
    }

    public void setIsFiled(String isFiled) {
        this.isFiled = isFiled;
    }

    public String getIsFiled() {
        return isFiled;
    }

    public void setFiledTime(Date filedTime) {
        this.filedTime = filedTime;
    }

    public Date getFiledTime() {
        return filedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("docId", getDocId())
                .append("isFiled", getIsFiled())
                .append("filedTime", getFiledTime())
                .toString();
    }
}
