package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文档协作成员对象 doc_actor_user
 *
 * @author wukai
 * @date 2023-09-18
 */
@ApiModel(value = "DocActorUser", description = "文档协作成员")
public class DocActorUser extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 文档ID
     */
    @ApiModelProperty("文档ID")
    @Excel(name = "文档ID")
    @TableId
    private Long docId;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    @Excel(name = "用户ID")
    private Long userId;

    public void setDocId(Long docId) {
        this.docId = docId;
    }

    public Long getDocId() {
        return docId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("docId", getDocId())
                .append("userId", getUserId())
                .toString();
    }
}
