package com.doc.biz.service;

import java.util.List;
import com.doc.biz.domain.DocSpaceExpansion;

/**
 * 空间扩容管理Service接口
 * 
 * @author wukai
 * @date 2023-09-20
 */
public interface IDocSpaceExpansionService 
{
    /**
     * 查询空间扩容管理
     * 
     * @param autoId 空间扩容管理主键
     * @return 空间扩容管理
     */
    public DocSpaceExpansion selectDocSpaceExpansionByAutoId(Long autoId);

    /**
     * 查询空间扩容管理列表
     * 
     * @param docSpaceExpansion 空间扩容管理
     * @return 空间扩容管理集合
     */
    public List<DocSpaceExpansion> selectDocSpaceExpansionList(DocSpaceExpansion docSpaceExpansion);

    /**
     * 新增空间扩容管理
     * 
     * @param docSpaceExpansion 空间扩容管理
     * @return 结果
     */
    public int insertDocSpaceExpansion(DocSpaceExpansion docSpaceExpansion);

    /**
     * 修改空间扩容管理
     * 
     * @param docSpaceExpansion 空间扩容管理
     * @return 结果
     */
    public int updateDocSpaceExpansion(DocSpaceExpansion docSpaceExpansion);

    /**
     * 批量删除空间扩容管理
     * 
     * @param autoIds 需要删除的空间扩容管理主键集合
     * @return 结果
     */
    public int deleteDocSpaceExpansionByAutoIds(Long[] autoIds);

    /**
     * 删除空间扩容管理信息
     * 
     * @param autoId 空间扩容管理主键
     * @return 结果
     */
    public int deleteDocSpaceExpansionByAutoId(Long autoId);
}
